Sitni Sati Forums
Error code: 127 only under 64 bit Versions - Printable Version

+- Sitni Sati Forums (https://forum.afterworks.com)
+-- Forum: Products (https://forum.afterworks.com/forumdisplay.php?fid=4)
+--- Forum: AfterBurn (https://forum.afterworks.com/forumdisplay.php?fid=9)
+--- Thread: Error code: 127 only under 64 bit Versions (/showthread.php?tid=658)



Error code: 127 only under 64 bit Versions - unexpected - 07-29-2008

Hello all,

I have installed AfterBurn 3.2c on my machines for Max8, Max9 x32, Max9 x64, Max2008 x32 and Max2008 x64 on Windows XP Pro 64bit.

Only under Max9 x64 and Max2008 x64 comes up the following error message:

Max9 x64:
c:\Program Files\Autodesk\3ds Max 9\plugins\Afterworks\Afterburn\AfterBurn.dlr> failed to initialize.
Error code: 127 The specified procedure could not be found.


Max2008 x64:
c:\Program Files\Autodesk\3ds Max 2008\plugins\Afterworks\Afterburn\AfterBurn.dlo> failed to initialize.
c:\Program Files\Autodesk\3ds Max 2008\plugins\Afterworks\Afterburn\AfterBurn.dlr> failed to initialize.
Error code: 127 The specified procedure could not be found.


The pathes and the plugin.ini are allright and the files are in the folder.
With all other Maxes there is no error message, so what's up there with the 64bit versions???

Any idea?


Re: Error code: 127 only under 64 bit Versions - sitnisati - 07-30-2008

Hello,

Can you please copy/paste your plugin.ini file ?
It could be that afterworks.dlu is not installed properly .

Regards,

Kresimir


Re: Error code: 127 only under 64 bit Versions - unexpected - 07-30-2008

Hello Kresimir, here we go:

Max 9 x64:

[Directories]
Afterworks Common=C:\Program Files\Autodesk\3ds Max 9\Plugins\Afterworks\Common
AfterworksCommon=C:\Program Files\Autodesk\3ds Max 9\plugins\Afterworks\Common
V-Ray main plug-ins=C:\Program Files\Autodesk\3ds Max 9\plugins
V-Ray additional plug-ins=C:\Program Files\Autodesk\3ds Max 9\plugins\vrayplugins
Krakatoa 1.0=C:\Program Files (x86)\Frantic Films\Krakatoa\3dsMax9\x64
FumeFX=C:\Program Files\Autodesk\3ds Max 9\Plugins\Afterworks\FumeFX
Hairtrix=C:\Program Files\Autodesk\3ds Max 9\Plugins\Hairtrix
AfterBurn 3.2=C:\Program Files\Autodesk\3ds Max 9\Plugins\Afterworks\AfterBurn
;=;
[Help]
AfterBurn=C:\Program Files\Autodesk\3ds Max 9\help\AfterBurn.chm
FumeFX 1.1 Reference=C:\Program Files\Autodesk\3ds Max 9\Help\FumeFX11_ACAP.chm
Hairtrix Reference=C:\Program Files\Autodesk\3ds Max 9\Help\Hairtrix.chm
Afterburn 3.2 Reference=C:\Program Files\Autodesk\3ds Max 9\Help\Afterburn32_ACAP.chm



Max 2008 x64:

[Directories]
Afterworks Common=C:\Program Files\Autodesk\3ds Max 2008\Plugins\Afterworks\Common
V-Ray main plug-ins=C:\Program Files\Autodesk\3ds Max 2008\plugins
V-Ray additional plug-ins=C:\Program Files\Autodesk\3ds Max 2008\plugins\vrayplugins
FumeFX=C:\Program Files\Autodesk\3ds Max 2008\Plugins\Afterworks\FumeFX
AfterBurn 3.2=C:\Program Files\Autodesk\3ds Max 2008\Plugins\Afterworks\AfterBurn

;=;
[Help]
FumeFX 1.1 Reference=C:\Program Files\Autodesk\3ds Max 2008\Help\FumeFX11_ACAP.chm
Afterburn 3.2 Reference=C:\Program Files\Autodesk\3ds Max 2008\Help\Afterburn32_ACAP.chm



That's it


Re: Error code: 127 only under 64 bit Versions - sitnisati - 08-01-2008

Looks okay ...
Can you check C:\Program Files\Autodesk\3ds Max 9' folder and see if you have
TSRegisterNow.dll ?

This is first report of this kind, so I'm not sure what might have gone wrong during installation.

Thanks

Kresimir


Re: Error code: 127 only under 64 bit Versions - unexpected - 08-01-2008

They are there:
c:\Program Files\Autodesk\3ds Max 9\TSRegisterNow.dll
and
c:\Program Files\Autodesk\3ds Max 2008\TSRegisterNow.dll

Both are Version 1.1.3.2.
I don't understand what is different to the 32bit-Install. Makes no sense for me.


Re: Error code: 127 only under 64 bit Versions - sitnisati - 08-01-2008

One obvius question, but just to check it once more.. are you sure that you have 64 bit version installed and not 32 bit ?
Do you maybe have some other plugin installed, like FumeFX or DreamScape or other TurboSquid tool ?

Kresimir


Re: Error code: 127 only under 64 bit Versions - unexpected - 08-04-2008

Yes, I'm sure!
Installdialog: "Welcome to the InstallShield Wizard for AfterBurn 3.2c (64-bit)"!

And yes, there is also FumeFX1.1 installed as you can see in the plugin.ini.


Re: Error code: 127 only under 64 bit Versions - jrand - 08-05-2008

I tried rolling back to 3.2, 3.2a, and 3.2c,max8 on Winxp32 (I haven't tried the Max8 xp64, for fear of not getting it back), max9 32 and 64 and received these errors on all attempts. The only 3.2 version I have working is running in Max8 on Winxp64.

The only one that now works is AB4.0 in almost all of my installs.

I tried on a fresh Winxp32 and fresh max installs this weekend, with max8 and 9 to no avail.

I have FumeFX 1,1 and Particle Flow Tools Box#1 from Turbosquid


Re: Error code: 127 only under 64 bit Versions - unexpected - 08-05-2008

Hello jrand,

the OS is Win XP Pro 64bit SP2 with Max8 32bit, Max9 32bit, Max9 64bit, Max2008 32bit and Max2008 64bit installed on it.
[and Max2009 32 and 64bit, but there is no AfterBurn installed.]

Maybe it's important: FumeFX 1.1 is installed on all Max Versions [8-2009 | 32 and 64 bit]

And as you can see above there are only problems with the 64bit-Version of Afterburn.
32bit Versions are fine, there are no messages on startup.


Re: Error code: 127 only under 64 bit Versions - jrand - 08-05-2008

Well for the heck (and curiosity) of it I just uninstalled AB4.0 from Max9 32-bit on WinXP64 sp2 and installed AB3.2a and it errored out with the posted error. *shrug*

Well I just discovered something interesting. I removed AB4.0 and removed the afterworks common folder and reinstalled AB3.2a and it works. So it seems to be related to FumeFX 1.1.


Just checked my working Max 8 install is running FumeFX 1.0


Re: Error code: 127 only under 64 bit Versions - Filip Kaczorek - 08-07-2008

Now I might be wrong but I think there was a change in Afterworks.dlu when FFX 1.1 was released, and so older versions of AB and DS wouldn't work.
Although the latest version of AB3.2c (I think) was recompiled for it.
Are you using an installer from the members area or some old that you had on a CD?


Re: Error code: 127 only under 64 bit Versions - unexpected - 08-07-2008

We used the newest available AB3.2c.exe from the LoginSite.


Re: Error code: 127 only under 64 bit Versions - jrand - 08-07-2008

Probably hard to read my previous posts, I had edited them a few times (was driving myself nuts, was trying a few things while replying) but anyway if you uninstall FumeFX1.1 your afterburn 3.2x installations will work.

You can of course install AB 3.2x and FumeFX 1.0 and have both again.

Although I find it really odd that your 32-bit installs worked and it has just affected your 64-bit installs, did you check to see what Fume version you are running under 32-bit.


Re: Error code: 127 only under 64 bit Versions - unexpected - 08-07-2008

Ah ok now I understand, I will try that.
If that's really gonna work it will be weird (and not very professional). We will see.
Thanks anyway


Re: Error code: 127 only under 64 bit Versions | SOLUTION - unexpected - 08-08-2008

Oooook, here we go. :wink:

How to do it:

• Fume1.1 (x64) is already installed, AfterBurn3.2c (x64) removed [again], plugin.ini cleared from AfterBurn.
• Then delete the common folder c:\Program Files\Autodesk\3ds Max 2008\plugins\Afterworks\Common\ [also works with Max9 (x64)]
• Install AfterBurn3.2c_64bit (for Max 2008)
• Delete the second entry "AfterworksCommon=C:\Program Files\Autodesk\3ds Max 2008\plugins\Afterworks\Common" if it's there and leave the entry "Afterworks Common=C:\Program Files\Autodesk\3ds Max 2008\plugins\Afterworks\Common"
If you start Max 2008 now, you will get the .dlo-errors for FumeFX this time. So...
• Install FumeFX1.1 64bit (for Max 2008) again and use the REPAIR option!!!

That's it and now it works also with the 64bit Max!

Thanks to all